MFPS 1.1.7 - Compile errors - Unity 5.5.2 - PUN 1.81

Report errors found in any assets.

User avatar
saifcoder
Contributor
Contributor
Posts: 7
Joined: Sat May 02, 2015 8:56 am

MFPS 1.1.7 - Compile errors - Unity 5.5.2 - PUN 1.81

Postby saifcoder » Fri Mar 31, 2017 5:28 am

Hi.

MFPS - 1.1.7
Unity - 5.5.2 f1 64Bits
PUN - 1.81
MonoDevlop - 5.9.6

I think MFPS should be updated to be compatible with latest version of Unity and PUN, when importing MFPS to Unity without running API Updater i get this unique error :

Code: Select all

Assets/MFPS/Scripts/Misc/AI/bl_SimpleAI.cs(29,13): error CS0246: The type or namespace name `NavMeshAgent' could not be found. Are you missing `UnityEngine.AI' using directive?


the error wont fix even when adding UnityEngine.AI in top.

With running API Updater i get this 73 errors :

Code: Select all

Assets/MFPS/Scripts/Editor/ImageEffects/AntialiasingEditor.cs(7,27): error CS0246: The type or namespace name `Antialiasing' could not be found. Are you missing an assembly reference?
... ... ...
Assets/MFPS/Scripts/Editor/ImageEffects/VignetteAndChromaticAberrationEditor.cs(7,27): error CS0246: The type or namespace name `VignetteAndChromaticAberration' could not be found. Are you missing an assembly reference?


So, any help ?

Thanks,
- Editing Code is nice, but Coding from scratch is genius. -

User avatar
Lovatto
Admin
Admin
Posts: 928
Joined: Sun Dec 07, 2014 3:18 pm
Contact:

Re: MFPS 1.1.7 - Compile errors - Unity 5.5.2 - PUN 1.81

Postby Lovatto » Fri Mar 31, 2017 10:10 am

Hi.

Thanks for reporting, last version was tested with version 5.5.1,
but due today Unity Version 5.6 was release I will update the package today for compatibility.

Sorry for the inconveniences.
Best Regards.

User avatar
saifcoder
Contributor
Contributor
Posts: 7
Joined: Sat May 02, 2015 8:56 am

Re: MFPS 1.1.7 - Compile errors - Unity 5.5.2 - PUN 1.81

Postby saifcoder » Fri Mar 31, 2017 12:53 pm

Good news, i'm waiting Update :D
- Editing Code is nice, but Coding from scratch is genius. -

User avatar
Lovatto
Admin
Admin
Posts: 928
Joined: Sun Dec 07, 2014 3:18 pm
Contact:

Re: MFPS 1.1.7 - Compile errors - Unity 5.5.2 - PUN 1.81

Postby Lovatto » Fri Mar 31, 2017 1:38 pm

Hi.

I have tested for fix this problem simple delete the folder located in: Assets\MFPS\Scripts\Editor\ImageEffects
this will fix the problems.

User avatar
saifcoder
Contributor
Contributor
Posts: 7
Joined: Sat May 02, 2015 8:56 am

Re: MFPS 1.1.7 - Compile errors - Unity 5.5.2 - PUN 1.81

Postby saifcoder » Fri Mar 31, 2017 3:43 pm

Thank you
- Editing Code is nice, but Coding from scratch is genius. -

User avatar
C3P
Contributor
Contributor
Posts: 1
Joined: Wed Dec 14, 2016 7:25 am

Re: MFPS 1.1.7 - Compile errors - Unity 5.5.2 - PUN 1.81

Postby C3P » Mon Apr 03, 2017 9:12 am

How could one get this 1.1.7 version? last version i could download from the control panel is 1.1.0.3 but the link seems down at the moment.

User avatar
saifcoder
Contributor
Contributor
Posts: 7
Joined: Sat May 02, 2015 8:56 am

Re: MFPS 1.1.7 - Compile errors - Unity 5.5.2 - PUN 1.81

Postby saifcoder » Sun Apr 23, 2017 9:51 am

i thing you must go to the download page : https://www.lovattostudio.com/en/my-account/downloads/
- Editing Code is nice, but Coding from scratch is genius. -

Return to “Bug Report”

Who is online

Users browsing this forum: No registered users and 2 guests